ReviewService
The ReviewService methods and their request and response messages.
Generated from review.proto. Every method is
POST /rpc/engram.app.v1.ReviewService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
ListReviews |
ListReviewsRequest |
ListReviewsResponse |
GetReview |
GetReviewRequest |
GetReviewResponse |
RetryReview |
RetryReviewRequest |
RetryReviewResponse |
ListEnrollments |
ListEnrollmentsRequest |
ListEnrollmentsResponse |
UpsertEnrollment |
UpsertEnrollmentRequest |
UpsertEnrollmentResponse |
DeleteEnrollment |
DeleteEnrollmentRequest |
DeleteEnrollmentResponse |
Messages
Section titled “Messages”DeleteEnrollmentRequest
Section titled “DeleteEnrollmentRequest”| Field | Type |
|---|---|
repo |
string |
DeleteEnrollmentResponse
Section titled “DeleteEnrollmentResponse”No fields.
FindingCounts
Section titled “FindingCounts”| Field | Type |
|---|---|
critical |
int32 |
high |
int32 |
medium |
int32 |
low |
int32 |
total |
int32 |
GetReviewRequest
Section titled “GetReviewRequest”| Field | Type |
|---|---|
id |
string |
GetReviewResponse
Section titled “GetReviewResponse”| Field | Type |
|---|---|
review |
Review |
findings |
repeated ReviewFinding |
verdicts |
repeated ReviewVerdict |
passes |
repeated Review |
events |
repeated ReviewEvent |
ListEnrollmentsRequest
Section titled “ListEnrollmentsRequest”No fields.
ListEnrollmentsResponse
Section titled “ListEnrollmentsResponse”| Field | Type |
|---|---|
enrollments |
repeated RepoEnrollment |
ListReviewsRequest
Section titled “ListReviewsRequest”| Field | Type |
|---|---|
repos |
repeated string |
search |
string |
authors |
repeated string |
pr_states |
repeated string |
statuses |
repeated string |
severities |
repeated string |
page |
int32 |
page_size |
int32 |
ListReviewsResponse
Section titled “ListReviewsResponse”| Field | Type |
|---|---|
reviews |
repeated Review |
total_count |
int32 |
facets |
ReviewFacets |
RepoEnrollment
Section titled “RepoEnrollment”| Field | Type |
|---|---|
repo |
string |
trigger_mode |
string |
autofix |
string |
profile_id |
string (optional) |
created_at |
google.protobuf.Timestamp |
updated_at |
google.protobuf.Timestamp |
engine |
string |
RetryReviewRequest
Section titled “RetryReviewRequest”| Field | Type |
|---|---|
id |
string |
RetryReviewResponse
Section titled “RetryReviewResponse”| Field | Type |
|---|---|
workflow_id |
string |
review_id |
string (optional) |
Review
Section titled “Review”| Field | Type |
|---|---|
id |
string |
repo |
string |
pr_number |
int32 |
task_id |
string |
head_sha |
string |
base_sha |
string |
trigger |
string |
status |
string |
github_review_id |
string (optional) |
summary_md |
string (optional) |
created_at |
google.protobuf.Timestamp |
updated_at |
google.protobuf.Timestamp |
finding_counts |
FindingCounts |
finder_session_id |
string (optional) |
verifier_session_id |
string (optional) |
pr_title |
string (optional) |
pr_author |
string (optional) |
head_branch |
string (optional) |
base_branch |
string (optional) |
pr_state |
string (optional) |
additions |
int32 (optional) |
deletions |
int32 (optional) |
changed_files |
int32 (optional) |
target_id |
string |
provider |
string |
provider_id |
string (optional) |
pr_url |
string (optional) |
active |
bool |
human_trigger |
bool |
ReviewEvent
Section titled “ReviewEvent”| Field | Type |
|---|---|
id |
string |
review_id |
string |
kind |
string |
detail |
string (optional) |
created_at |
google.protobuf.Timestamp |
ReviewFacets
Section titled “ReviewFacets”| Field | Type |
|---|---|
repos |
repeated string |
authors |
repeated string |
pr_states |
repeated string |
statuses |
repeated string |
ReviewFinding
Section titled “ReviewFinding”| Field | Type |
|---|---|
id |
string |
review_id |
string |
path |
string |
start_line |
int32 (optional) |
end_line |
int32 (optional) |
side |
string (optional) |
category |
string |
severity |
string |
confidence |
string |
title |
string |
body_md |
string |
suggested_fix |
string (optional) |
evidence |
repeated string |
state |
string |
verdict_reason |
string (optional) |
github_thread_id |
string (optional) |
resolution |
string (optional) |
session_id |
string |
created_at |
google.protobuf.Timestamp |
ReviewVerdict
Section titled “ReviewVerdict”| Field | Type |
|---|---|
finding_id |
string |
verdict |
string |
confidence |
string |
reasoning |
string |
session_id |
string |
UpsertEnrollmentRequest
Section titled “UpsertEnrollmentRequest”| Field | Type |
|---|---|
repo |
string |
trigger_mode |
string |
autofix |
string |
profile_id |
string (optional) |
engine |
string (optional) |
UpsertEnrollmentResponse
Section titled “UpsertEnrollmentResponse”| Field | Type |
|---|---|
enrollment |
RepoEnrollment |